%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name: mapnik
Version: 0.5.0
Release: 1%{?dist}
Summary: Mapnik is a Free toolkit for developing mapping applications
Group: Development/Tools
License: LGPLv3+
URL: http://%{name}.org
Source0: http://prdownload.berlios.de/%{name}/%{name}_src-0.5.0.tar.gz
Patch0: ppc64-build.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: python
BuildRequires: python-devel
BuildRequires: boost-devel
BuildRequires: fribidi-devel
BuildRequires: libtool-ltdl-devel
BuildRequires: libpng-devel
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel
BuildRequires: zlib-devel
BuildRequires: freetype-devel
BuildRequires: proj-devel
BuildRequires: gdal-devel
BuildRequires: libpqxx-devel
Requires: python
Requires: boost
Requires: zlib
Requires: freetype
Requires: proj
Requires: gdal

%description
Mapnik is a Free Toolkit for developing mapping applications.
It's written in C++ and there are Python bindings to
facilitate fast-paced agile development. It can comfortably
be used for both desktop and web development, which was something
I wanted from the beginning.

Mapnik is about making beautiful maps. It uses the AGG library
and offers world class anti-aliasing rendering with subpixel
accuracy for geographic data. It is written from scratch in
modern C++ and doesn't suffer from design decisions made a decade
ago. When it comes to handling common software tasks such as memory
management, filesystem access, regular expressions, parsing and so
on, Mapnik doesn't re-invent the wheel, but utilises best of breed
industry standard libraries from boost.org 

%package devel
Summary: Mapnik is a Free toolkit for developing mapping applications
Group: Development/Tools
Requires:	%{name} = %{version}-%{release}

%description devel
Mapnik is a Free Toolkit for developing mapping applications.
It's written in C++ and there are Python bindings to
facilitate fast-paced agile development. It can comfortably
be used for both desktop and web development, which was something
I wanted from the beginning.

Mapnik is about making beautiful maps. It uses the AGG library
and offers world class anti-aliasing rendering with subpixel
accuracy for geographic data. It is written from scratch in
modern C++ and doesn't suffer from design decisions made a decade
ago. When it comes to handling common software tasks such as memory
management, filesystem access, regular expressions, parsing and so
on, Mapnik doesn't re-invent the wheel, but utilises best of breed
industry standard libraries from boost.org 

%prep
%setup -q
%patch -p0

%build
%{__python} scons/scons.py PREFIX=/usr LIBDIR=%{_libdir} \
BOOST_LIBS=%{_libdir} GDAL_INCLUDES=/usr/include/gdal \
FRIBIDI_LIBS=%{_libdir} PNG_LIBS=%{_libdir} JPEG_LIBS=%{_libdir} \
TIFF_LIBS=%{_libdir} PGSQL_LIBS=%{_libdir} GDAL_LIBS=%{_libdir} BIDI=yes

%install
rm -rf %{buildroot}
%{__python} scons/scons.py install PREFIX=/usr LIBDIR=%{_libdir} \
BOOST_LIBS=%{_libdir} GDAL_INCLUDES=/usr/include/gdal \
FRIBIDI_LIBS=%{_libdir} PNG_LIBS=%{_libdir} JPEG_LIBS=%{_libdir} \
TIFF_LIBS=%{_libdir} PGSQL_LIBS=%{_libdir} GDAL_LIBS=%{_libdir} \
BIDI=yes DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{python_sitearch}/%{name}
%{_bindir}/shapeindex
%{_libdir}/lib%{name}.so.*
%{_libdir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so

%changelog
* Sun Mar  2 2008 Christopher Brown <snecklifter@gmail.com> - 0.5.0-1
- Initial build and import for Fedora

